Skip to main content

Get a certificate credential

GET 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/certificates/:extId

Since: 2.71.0

Required permission(s): AccessControl.CredentialView or SelfAdmin Role

Returns the certificate credential with the specified external ID belonging to the given user.

The response includes the full certificate details including the PEM-encoded certificate value, subject DN, issuer DN, fingerprint, serial number, and subject key identifier.

In self-admin mode, a user can only retrieve their own certificate credentials.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the certificate credential.

    Example: cert-123

Responses

Certificate credential retrieved successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the credential.

    userExtId string

    The external ID of the user to whom the credential belongs.

    policyExtId string

    The external ID of the used policy.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    The state of the credential. Available values: initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived.

    stateChangeReason string

    Reason for the last state change of the password.

    stateChangeDetail string

    Reason detail for the last state change of the password.

    lastSuccessfulLoginDate string

    Timestamp of last successful login.

    successfulLoginCount int32

    Counts successful logins with this credential since last initialization or reset.

    lastFailedLoginDate string

    Date of last non-technical login failure, for example, wrong password.

    failedLoginCount int32

    Counts non-technical login failures since the last successful login, initialization or reset.

    modificationComment string

    Textual comment regarding the last modification.

    type string

    Possible values: [Password, Certificate, SecurID User Mapping, Ticket Authorization, Safeword User Mapping, OTP Card, Temporary Strong Password, Generic Credential, Kerberos, mTan, Vasco, PUK, URL Ticket, DevicePassword, MobileSignature, SAML Federation, Security Questions, Context Password, OATH, FIDO UAF Authenticator, Recovery Code, FIDO2 Authenticator]

    Type of credential.

    validity object

    Describes the validity period of the password.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

    subjectDN string

    DN of the certificate subject.

    issuerDN string

    DN of the certificate issuer.

    fingerprint string

    Fingerprint of the certificate in hexbyte-colon notation.

    serial string

    Serial number of the certificate.

    subjectKeyIdentifier string

    The subject key identifier extension value stored in the certificate credential.

    certificate string

    The PEM-encoded X.509 certificate value of the credential.

Loading...